Skip to main content
GET
/
utxo_management
/
{vaultAccountId}
/
{assetId}
/
unspent_outputs
TypeScript
const response: Promise<FireblocksResponse<ListUtxosResponse>> = fireblocks.uTXOManagementBeta.getUtxos(uTXOManagementBetaApiGetUtxosRequest);
{
  "data": [
    {
      "input": {
        "txHash": "b34f0c3ce612f1e5a5c19d6b1e6b5e3e7f1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c",
        "index": 0
      },
      "utxoId": "123456",
      "address": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
      "amount": "0.00150000",
      "status": "AVAILABLE",
      "confirmations": 6,
      "isChange": false,
      "isCoinbase": false,
      "fbTxId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850e",
      "createdByHash": "000000000000000000024bead8df69990852c202db0e0097c1a12ea637d7e96d",
      "spentByFbTxId": [
        "b70701f4-d7b1-4795-a8ee-b09cdb5b850e"
      ],
      "createdByHeight": 800100,
      "createdAt": "2025-01-16T15:45:00Z",
      "updatedAt": "2025-01-16T15:45:00Z",
      "labels": [
        "cold-storage",
        "vip"
      ]
    }
  ],
  "next": "MjAyNS0wNy0wOSAxMDo1MzoxMy40NTI=:NA=="
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

vaultAccountId
string<numeric>
required

The ID of the vault account

assetId
string
required

The ID of the asset

Query Parameters

pageCursor
string

Cursor for the next page of results

pageSize
integer
default:50

Number of results per page (max 250, default 50)

Required range: 1 <= x <= 250
sort
enum<string>

Field to sort by

Available options:
AMOUNT,
CONFIRMATIONS
order
enum<string>

Sort order

Available options:
ASC,
DESC
includeAllLabels
string[]

Only return UTXOs that have ALL of these labels (AND logic).

includeAnyLabels
string[]

Return UTXOs that have ANY of these labels (OR logic).

excludeAnyLabels
string[]

Exclude UTXOs that have ANY of these labels.

includeStatuses
string[]

Filter by UTXO statuses to include.

address
string

Filter by address

minAmount
string

Minimum amount filter

maxAmount
string

Maximum amount filter

useChange
boolean

Include change outputs

useCoinbase
boolean

Include coinbase outputs

Response

A paginated list of UTXOs

data
object[]
required

List of UTXOs

next
string | null

Cursor to the next page

Example:

"MjAyNS0wNy0wOSAxMDo1MzoxMy40NTI=:NA=="